Subject: bug#32304: 27.0.50; tramp-tests issue with double slash

From: Michael Albinus <[email-masked]>
Date: Wed, 08 Aug 2018 15:48:07 +0200

Eli Zaretskii <[email-masked]> writes:

Hi Eli,

>> >   2 unexpected results:
>> >      FAILED  tramp-test43-auto-load
>> >      FAILED  tramp-test44-unload
>> >
>> > Should they be skipped?

I cannot find any MS Windows build of Emacs 27. So I have used the
Cygwin Emacs 27.0.50 I've got recently from Ken.

> The full log is attached.
>
> Test tramp-test43-auto-load condition:
>     (ert-test-failed
>      ((should
>        (string-match "Tramp loaded: t[
> ]+"
> 		     (shell-command-to-string ...)))
>       :form
>       (string-match "Tramp loaded: t[
> ]+" "Tramp loaded: nil
> ")
>       :value nil))
>    FAILED  59/63  tramp-test43-auto-load (0.203125 sec)

This error didn't happen with the Cygnus Emacs :-(

> Test tramp-test44-unload condition:
>     (ert-test-failed "`tramp-register-archive-file-name-handler' still bound")
>    FAILED  63/63  tramp-test44-unload (0.359375 sec)

Cygnus Emacs has reported also an error for this test, but with a
different message. I have fixed this and committed to master, maybe it
is fixed for you as well.

Anyway, for further investigations I'll need an Emacs 27 for MS
Windows. Do you know where I could get a recent one? I have found only
Emacs 26.1 for MS Windows.

Best regards, Michael.